Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.UserPreferences
Class BaseState

    java.lang.Object
      org.jasig.portal.channels.UserPreferences.BaseState

All Implemented Interfaces:
  IChannel, IPrivileged, IPrivilegedChannel

Direct Known Subclasses:
  GPreferencesState, GPreferencesState.GBrowseState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GMoveToState, ManageProfilesState, ManageProfilesState.CEditProfile, TabColumnPrefsState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.SelectSkinsState

     class BaseState

extends java.lang.Object
implements IPrivilegedChannel

A base class for a CUserPreferences state.

Version:
  $Revision: 1.10 $
Author:
  Peter Kharchenko, peterk@interactivebusiness.com

Field Summary
`protected CUserPreferences` | `context`
`protected IPrivilegedChannel` | `internalState`

Constructor Summary
`BaseState()`
`BaseState(CUserPreferences context)`
`BaseState(CUserPreferences context, IPrivilegedChannel state)`
`BaseState(IPrivilegedChannel state)`

Method Summary
`ChannelRuntimeProperties` | `getRuntimeProperties()` Acquires ChannelRuntimeProperties from the channel.
`void` | `receiveEvent(PortalEvent ev)` Passes an outside event to a channel.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setContext(CUserPreferences context)`
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setState(IPrivilegedChannel state)`
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected CUserPreferences context

### internalState

    protected IPrivilegedChannel internalState

Constructor Detail

### BaseState

    public BaseState()

### BaseState

    public BaseState(CUserPreferences context)

### BaseState

    public BaseState(IPrivilegedChannel state)

### BaseState

    public BaseState(CUserPreferences context,
                     IPrivilegedChannel state)

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### setStaticData

    public void setStaticData(ChannelStaticData sd)
                       throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `sd` - channel static data
  Throws:
    `PortalException`
  See Also:
    `ChannelStaticData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Description copied from interface: `IChannel`
  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  Description copied from interface: `IChannel`
  Acquires ChannelRuntimeProperties from the channel. This function may be called by the portal framework throughout the session. Currently, as of uPortal 2.5.1, the framework calls this method after each invocation of renderXML (to determine if there is a dynamic channel title). Prior to uPortal 2.5.1, the framework would not call this method.

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  See Also:
    `ChannelRuntimeProperties`

### setState

    public void setState(IPrivilegedChannel state)

### setContext

    public void setContext(CUserPreferences context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD